<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>float + margin（浮动布局）-左右固定宽度 中间自适应</title>
    <style>
        body,html,.container{
            height: 100%;
            padding:0;
            margin: 0;
        }
        /*左边栏左浮动*/
        .left{
            float:left;
            height:100%;
            width:200px;
            background:#333;
        }
        /*中间栏自适应*/
        .main{
            height:100%;
            margin:0 200px;
            background: red;
        }
        /*右边栏右浮动*/
        .right{
            float:right;
            height:100%;
            width:200px;
            background:#333;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="left">Left</div>
        <!-- 右栏部分要写在中间内容之前 -->
        <div class="right">Right</div>
        <div class="main">Main</div>
    </div>
    
</body>
</html>